Index: lib/matplotlib/backends/backend_agg.py
===================================================================
--- lib/matplotlib/backends/backend_agg.py	(revision 6055)
+++ lib/matplotlib/backends/backend_agg.py	(working copy)
@@ -121,15 +121,16 @@
         # texmanager more efficient.  It is not meant to be used
         # outside the backend
         """
+
+
         if ismath=='TeX':
-            # todo: handle props
-            size = prop.get_size_in_points()
             texmanager = self.get_texmanager()
-            Z = texmanager.get_grey(s, size, self.dpi)
-            m,n = Z.shape
-            # TODO: descent of TeX text (I am imitating backend_ps here -JKS)
-            return n, m, 0
+            fontsize = prop.get_size_in_points() /72.*self.dpi
 
+            w, h, d = texmanager.get_text_width_height_descent(s, fontsize)
+            return w, h, d
+
+
         if ismath:
             ox, oy, width, height, descent, fonts, used_characters = \
                 self.mathtext_parser.parse(s, self.dpi, prop)
